function k = isempty( x )

%---------------------------------------------------------------------------
%   Determine if x is an empty statespace system.
%---------------------------------------------------------------------------
%   Form:
%   k = isempty( x )
%---------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   x           (:)   Object of class statespace
%                     
%
%   -------
%   Outputs
%   -------
%   k           (1,1) 1 if empty 
%
%---------------------------------------------------------------------------

%---------------------------------------------------------------------------
%  Copyright (c) 2000 Princeton Satellite Systems, Inc.
%  All rights reserved.
%---------------------------------------------------------------------------

k = isempty(x.a) & isempty(x.b) & isempty(x.c) & isempty(x.d);

% PSS internal file version information
%--------------------------------------
% $Date: 2004-11-02 12:37:48 -0600 (Tue, 02 Nov 2004) $
% $Revision: 4339 $
