
%-------------------------------------------------------------------------------
%   Appends two state space models assuming that they do not have
%   any inputs, states or outputs in common.
%-------------------------------------------------------------------------------
%   Form: [a, b, c, d] = Append( a1, b1, c1, d1, a2, b2, c2, d2 )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   a1                  Plant matrix
%   b1                  Input matrix
%   c1                  Measurement matrix
%   d1                  Input feedthrough matrix
%   a2                  Plant matrix
%   b2                  Input matrix
%   c2                  Measurement matrix
%   d2                  Input feedthrough matrix
%
%   -------
%   Outputs
%   -------
%   a                   Plant matrix
%   b                   Input matrix
%   c                   Measurement matrix
%   d                   Input feedthrough matrix
%
%-------------------------------------------------------------------------------