
%-------------------------------------------------------------------------------
%   Analyze the shape of a relative trajectory in an eccentric reference orbit.
%-------------------------------------------------------------------------------
%   Form:
%   FFEccAnalyzeShape( xH, nu );
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   xH              (6,n)  State trajectory in Hills frame
%   nu              (1,n)  True anomaly (independent variable) [rad]
%
%   -------
%   Outputs
%   -------
%   none
%
%-------------------------------------------------------------------------------
%   References: Inalhan, Tillerson, How, "Relative Dynamics and Control of
%   Spacecraft Formations in Eccentric Orbits", Journal of Guidance,
%   Control & Dynamics, Vol.25, No.1, Jan-Feb 2002.
%-------------------------------------------------------------------------------
%	  Copyright 2004 Princeton Satellite Systems, Inc.
%   All rights reserved.
%-------------------------------------------------------------------------------