
%-------------------------------------------------------------------------------
%   Parallel connects two state space models. Both systems feed off of the same
%   input and the outputs are the sum of the individual systems outputs.
%
%   The resulting system is
%
%   [a1  0] [b1] [c1 c2] d1+d2
%   [ 0 a2] [b2]
%
%-------------------------------------------------------------------------------
%   Form: [a, b, c, d] = Parallel( a1, b1, c1, d1, a2, b2, c2, d2 )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   a1                  Plant matrix
%   b1                  Input matrix
%   c1                  Measurement matrix
%   d1                  Input feedthrough matrix
%   a2                  Plant matrix
%   b2                  Input matrix
%   c2                  Measurement matrix
%   d2                  Input feedthrough matrix
%
%   -------
%   Outputs
%   -------
%   a                   Plant matrix
%   b                   Input matrix
%   c                   Measurement matrix
%   d                   Input feedthrough matrix
%
%-------------------------------------------------------------------------------