
%-------------------------------------------------------------------------------
%   Series connect two state space models so that y2 is the output
%   and u1 is the input.
%
%   u1 ----> P1 -----> P2 -----> y2
%
%-------------------------------------------------------------------------------
%   Form: [a, b, c, d] = Series( a1, b1, c1, d1, a2, b2, c2, d2 )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   a1                  Plant matrix
%   b1                  Input matrix
%   c1                  Measurement matrix
%   d1                  Input feedthrough matrix
%   a2                  Plant matrix
%   b2                  Input matrix
%   c2                  Measurement matrix
%   d2                  Input feedthrough matrix
%
%   -------
%   Outputs
%   -------
%   a                   Plant matrix
%   b                   Input matrix
%   c                   Measurement matrix
%   d                   Input feedthrough matrix
%
%-------------------------------------------------------------------------------